package com.ywt.mg.domain.models.enums;

import org.omg.CORBA.UNKNOWN;

public enum ClientTypeEnum {
    AndroidDoctor("安卓-医生端", 1),
    iOSDoctor("苹果-医生端", 2),
    AndroidPatient("安卓-患者端", 4),
    iOSPatient("苹果-患者端", 5),
    UNKNOWN("",0);

    private final String displayName;

    private final int value;

    ClientTypeEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static ClientTypeEnum valueOf(int value){
        switch (value){
            case 1:
                return AndroidDoctor;
            case 2:
                return iOSDoctor;
            case 4:
                return AndroidPatient;
            case 5:
                return iOSPatient;
            default:
                return UNKNOWN;
        }
    }
}
